package com.yidianling.user.http.request;

public class PhoneLoginSmsRequest {
    String channelId;
    String code;
    String countryCode;
    int type;
    String phoneNumber;
    String version;

    @Override
    public String toString() {
        return "PhoneLoginSmsRequest{" +
                "channelId='" + channelId + '\'' +
                ", code='" + code + '\'' +
                ", countryCode='" + countryCode + '\'' +
                ", type=" + type +
                ", phoneNumber='" + phoneNumber + '\'' +
                ", version='" + version + '\'' +
                '}';
    }

    public PhoneLoginSmsRequest(String channelId, String code, String countryCode, int type, String phoneNumber, String version) {
        this.channelId = channelId;
        this.code = code;
        this.countryCode = countryCode;
        this.type = type;
        this.phoneNumber = phoneNumber;
        this.version = version;
    }

    public String getchannelId() {
        return channelId;
    }

    public void setchannelId(String channelId) {
        this.channelId = channelId;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getCountryCode() {
        return countryCode;
    }

    public void setCountryCode(String countryCode) {
        this.countryCode = countryCode;
    }

    public int getType() {
        return type;
    }

    public void setType(int type) {
        this.type = type;
    }

    public String getPhoneNumber() {
        return phoneNumber;
    }

    public void setPhoneNumber(String phoneNumber) {
        this.phoneNumber = phoneNumber;
    }

    public String getVersion() {
        return version;
    }

    public void setVersion(String version) {
        this.version = version;
    }
}